Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036827
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2017-09-11 16:462017-09-15 09:46
ReportermalsasuaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionduplicateFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036827: Error during the incremental refresh process when session is closed: "TypeError: Cannot read property '$' of undefined"

DescriptionWhen incremental refresh process is executed, but the session in backend has been closed, a lot of errors with the text
 "TypeError: Cannot read property '$' of undefined"
are returned
Steps To Reproduce. backend> configure the Time to execute incremental refresh: 1 minute
. terminal> do login
. backend> shutdown tomcat
. backend> start tomcat
wait one minute
. terminal> in console the next error is returned:

TypeError: Cannot read property '$' of undefined at G.d.<anonymous> (http://localhost:8080/openbravo/web/js/gen/1996ba921a988aff0e086c28648a1a31_WebPOS.js:1526:1283 [^]) at G.d.trigger (http://localhost:8080/openbravo/web/org.openbravo.mobile.core/lib/vendor/backbone-0.9.2.min.js:9:85 [^]) at G.d.change (http://localhost:8080/openbravo/web/org.openbravo.mobile.core/lib/vendor/backbone-0.9.2.min.js:15:407 [^]) at G.d.set (http://localhost:8080/openbravo/web/org.openbravo.mobile.core/lib/vendor/backbone-0.9.2.min.js:12:196 [^]) at http://localhost:8080/openbravo/web/js/gen/1996ba921a988aff0e086c28648a1a31_WebPOS.js:1526:221; [^] stackTrace: Object.OB.UTIL.showError (http://localhost:8080/openbravo/web/js/gen/1996ba921a988aff0e086c28648a1a31_WebPOS.js:598:798 [^]);window.onerror (http://localhost:8080/openbravo/web/js/gen/1996ba921a988aff0e086c28648a1a31_WebPOS.js:1222:53 [^])
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
duplicate of defect 0036531 closedranjith_qualiantech_com [SERQA 2997] Popup showing seconds left for the masterdata loading can break the POS 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2017-09-11 16:46 malsasua New Issue
2017-09-11 16:46 malsasua Assigned To => Retail
2017-09-11 16:46 malsasua Triggers an Emergency Pack => No
2017-09-12 13:58 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2017-09-12 13:58 ranjith_qualiantech_com Status new => scheduled
2017-09-15 09:46 malsasua Relationship added duplicate of 0036531
2017-09-15 09:46 malsasua Status scheduled => closed
2017-09-15 09:46 malsasua Resolution open => duplicate


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker